## ispack-fftw2-ffc5 0.70-1

=== fhpack/src/Makefile ===
OBJS = fhpack.o
TMPSRC = fhpack.f
include ../../Mkinclude.sub

=== sample/2D-disk-inviscid-shallow/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp
XDIR = /usr/X11R6/lib
XLIB = X11
DCLDIR = /usr/lib/dcl-5.0.1
DCLLIB = dcl

.SUFFIXES: .f .o .out

clean:
	rm -f *.out
	rm -f *~

.f.out:
	$(FC) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB)  \
	         -L$(XDIR) -l$(XLIB) \
	         -L$(DCLDIR) -l$(DCLLIB) -llapack -lblas \
	-o $@

=== debian/changelog ===
ispack-fftw2-ffc5 (0.70-1) unstable; urgency=low

  * New upstream release from ispack-ffc5 package.
  * Parameters for fftw in p2s2ga.F and p2g2sa.F are changed from the original.

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Thu, 21 Jul 2005 14:35:04 +0900

ispack-ffc5 (0.61-1) unstable; urgency=low

  * New upstream release.
  * Rename source package name. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 10 May 2005 18:11:23 +0900

ispack-ffc5 (0.60-4) unstable; urgency=low

  * The ispack-doc package provides PDF Manuals.      

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon,  7 Mar 2005 15:56:58 +0900

ispack-ffc5 (0.60-3) unstable; urgency=low

  * Intel Fortran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 11:19:48 +0900

ispack-ffc5 (0.60-2) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:51:07 +0900
	
  * Fujitsu fortran compiler ver.4 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 16:04:18 +0900	
  * Intel Fortran Compiler ver.7 support.
  * New package for Fujitsu fortran compiler ver.3 added.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  8 Jan 2003 00:03:16 +0900

ispack-ffc5 (0.60-1) unstable; urgency=low

  * p3pack-mpi is added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 10 May 2002 22:07:23 +0900

ispack-ffc5 (0.52beta-1) unstable; urgency=low

  * p3pack is added.
  * Intel Fortran ver.6 support.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 18:15:00 +0900

ispack-ffc5 (0.51-1) unstable; urgency=low

  * n2pack and p2pack bug fix.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 20 Feb 2002 16:36:49 +0900

ispack-ffc5 (0.5-2) unstable; urgency=low

  * Documents and sample programs are separeted as a different package. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 00:13:12 +0900

ispack-ffc5 (0.5-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 15:50:58 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ispack-fftw2-ffc5
Section: math
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: ispack-fftw2-ffc5
Architecture: any
Depends: ${shlibs:Depends}
Description: ISPACK FORTRAN subroutine library for scientific computing (without p3pack-mpi).
 This package is built with Fujitsu Fortran&C compiler ver.5, 
 where -DFFTW2 option is set in order to use fftw2 library in P2PACK routines.
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package contains manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

include Mkinclude

EXT=fftw2-ffc5

package=ispack-$(EXT)
docpackage=ispack-doc

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	cp debian/control.$(EXT) debian/control
	cp debian/Mkinclude.$(EXT) Mkinclude
	$(MAKE)
	touch build

clean:
	$(checkdir)
	dh_clean
	-rm -f build
	-$(MAKE) veryclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
	install -d debian/tmp-doc/usr/share/doc/ispack-doc/tex
	install -d debian/tmp-doc/usr/share/doc/ispack-doc/manual
	for i in $(DIRS) ; do \
	   cd $$i/doc ; \
	   if [ -f $$i.tex ]; then \
	      cp $$i.tex ../../debian/tmp-doc/usr/share/doc/ispack-doc/tex/ ; \
	      platex $$i.tex ; dvipdfmx $$i.dvi ; \
	      rm $$i.aux $$i.log $$i.dvi ; \
	      mv $$i.pdf ../../debian/tmp-doc/usr/share/doc/ispack-doc/manual/ ;\
	   fi ; \
	   cd ../.. ; \
	done
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc sample \
		README TODO COPYRIGHT LGPL VERSION debian/README.debian
	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
	dh_compress -X.pdf -X.tex -X.f -p$(package) -Pdebian/tmp-doc
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..


binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) shared
	$(MAKE) static
	dh_installdocs -p$(package) -Pdebian/tmp \
	        README TODO COPYRIGHT LGPL VERSION 
	dh_installchangelogs CHANGELOG 
	dh_strip -p$(package) -Pdebian/tmp
	dh_compress -p$(package) -Pdebian/tmp
	dh_fixperms -p$(package) -Pdebian/tmp
	dh_installdeb -p$(package) -Pdebian/tmp
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
